/**
*
* CSS settings for CReDo visualisation elements.
*
*/

.mapbox-improve-map {
    display: none;
}

#titleContainer {
    text-align: left !important;
    max-height: 250px;
    border-width: 0px 0px 1px 0px;
    border-style: solid;
    margin-left: 20px;
    width: calc(100% - 40px);
    display: table;
}

#legendContainer {
    display: none;

}
#footerContainer {
    display: none;
}

#contentContainer {
    margin-top: 0px !important;
    overflow-x: hidden;
    overflow-y: hidden;
    flex-grow: 1;
}


#credo-intro {
    padding: 0px;
    margin: 20px;
}

#credo-intro ul, #credo-intro li {
    list-style-type: disc;
}

#credo-image-container {
    width: 400px;
    margin: auto;
    border: 1px solid lightgray;
    text-align: center;
    box-sizing: border-box;
}
#credo-image-container img {
    width: 380px;
    padding: 10px;
    cursor: pointer;
}
#credo-image-container img:hover {
    opacity: 0.75;
    
}

#credo-legend img {
    width: 32px;
    float: left;
    display: table-cell;
    vertical-align: middle;
    padding-right: 5px;
}
.credo-legend-entry {
    height: 36px;
    display: table;
    width: 100%;
    margin-left: 15px;
}
.credo-legend-entry p {
    margin: 6px 0px 0px 0px;
    display: table;
    vertical-align: middle;
}

.large #credo-image-container {
    margin-top: 25px;
    width: 100%;
    height: auto;
    border: none;
    text-align: center;
}
.large #credo-image-container img {
    width: 40%;
    margin: auto;
    border: 1px solid lightgrey;
}
.large #legendContainer {
    display: none;
}

h1 {
    margin: 0px;
}

#credo-intro {
    overflow-y: auto;
}
#credo-intro h2 {
    margin: 0px 0px 10px 0px;
}

#linkedFilesContainer {
    margin: 20px 20px 10px 10px;
    padding: 10px;
    display: block;
}
#linkedFilesContainer a {
    color: blue;
}
#content-before {
    margin: 20px;
}
.json-tree-tabs{
    margin: 0px 20px;
}
#meta-tree {
    margin: 0px 20px 50px 20px;
}
#time-series-container {
    margin: 0px 20px 50px 20px;
}
#footerContainer {
    margin: 0px 20px 10px 20px;
}

#tabs {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding: 0px;
    border-radius: 0px;
}
#legendTab {
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    display: block;
    padding: 5px;
    margin: 0px 20px 40px 20px;
}

.ui-tabs-anchor {
    font-size: 10pt;
    font-weight: bold;
}

#tabs .ui-widget-header {
    background: rgb(240, 240, 240);
    border: none;
    border-radius: 0px;
    padding: 5px 5px 0px 5px;

}

#tabs { 
    position: relative; 
    border: none;
} 
#tabs .ui-tabs-nav { 
    position: absolute; 
    left: 0; 
    right: 0; 
    bottom: 0; 
    border-width: 1px;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px 0px 0px 0px;
} 
#tabs .ui-tabs-nav li { 
    border-top: none; 
    border-bottom: 1px solid #ccc; 
    -moz-border-radius: 0px 0px 4px 4px; 
    -webkit-border-radius: 0px 0px 4px 4px; 
    border-radius: 0px 0px 4px 4px; 
} 
#tabs .ui-tabs-nav li.ui-tabs-selected, 
#tabs .ui-tabs-nav li.ui-state-active { 
    top: -1px; 
}
.ui-widget-content a {
    color: blue;
}

#sidePanelInner {
    margin: 0px;
    width: 100%;
}

#focusControlsContainer {
    width: auto;
    min-height: 40px;
}

#focusControlsContainer button {
    width: calc(100% - 40px);
    height: 30px;
    margin: 5px 20px;
}

#connectionDepthTable {
    width: calc(100% - 40px);
    height: 30px;
    margin: 0px 20px;
    text-align: right;
}

#connectionDepthTable input {
    width: 95%;
    height: 30px;
    text-align: right;
}

#boundsButtonContainer img:hover {
    opacity: 50%;
    cursor: pointer;
}

#hiddenElementContainer {
    color: red;
    font-size: 8pt;
}